<?php

#
# quelques fonctions pour convertir un Array php en chaine de caractres et vis-versa.
#
# l'ide,  la base, c'tait de trouver un format pour pouvoir sauver un Array php
# dans un fichier texte. a permet de sauvegarder des donnes structures, sans avoir
#  passer par une base de donnes.
#
#
# SYNTAXE:
#
#   ----------------------------------------------------------------------------------
#   tab_to_str($TAB)
#
#   retourne une chaine de caractres qui reprsente $TAB. $TAB doit tre du type Array.
#
#   NOTE: la convertion en chaine de caractres marche si les valeurs du tableau
#         sont des chaines de caractres, des nombres ou des tableaux, mais c'est
#         pas dit que a marche pour d'autre types de variables.
#
#         Autrement dit, le tableau $TAB peut lui-mme contenir des tableaux, qui
#         peuvent eux-mme contenir des tableaux (...), tant que les valeurs restent
#         des chaines de caractres, des nombres ou des tableaux.
#
#
#   ----------------------------------------------------------------------------------
#   str_to_tab($str)
#
#   retourne un Array qui correspond  la chaine de caractre $str. $str doit avoir
#   t cre avec la fonction tab_to_str.
#


  function tab_to_str($TAB) { return _tab_to_str("", $TAB); }

  function _tab_to_str($pre, $TAB)
  { $content = "";
    if($TAB)
    { foreach($TAB as $key => $value)
      { if(is_array($value)) $content .= _tab_to_str($pre.strlen($key).":".$key, $TAB[$key]);
        else $content .= $pre.strlen($key).":".$key.strlen($value).":".$value."\n"; 
      }
    }
    else return $pre."a:\n";
    return $content;
  }

  function str_to_tab($content)
  { $TAB = array();
    $n = 0;
    while($n < strlen($content))
    { $LINE_FOUND = 0;
      $ENDS_WITH_EMPTY_TAB = 0;
      $words = array();
      while($n < strlen($content) && !$LINE_FOUND)
      { $length = "";
        $word = "";
        while($n < strlen($content) && strcmp(substr($content, $n, 1), ":") != 0) { $length .= $content[$n]; $n++; } $n++;
        if(strcmp($length, "a") == 0) $ENDS_WITH_EMPTY_TAB = 1;
        else
        { for($k = 0; $k < $length; $k++) { $word .= $content[$n]; $n++; }
          $words[] = $word;
        }
        $LINE_FOUND = $ENDS_WITH_EMPTY_TAB || $n == strlen($content) || strcmp(substr($content, $n, 1), "\n") == 0;
      }
      $n++;
      if($words) $TAB = affect($TAB, $words, $ENDS_WITH_EMPTY_TAB);
    }
    return $TAB; 
  }

  function affect($TAB, $words, $ENDS_WITH_EMPTY_TAB)
  { if(count($words) > ($ENDS_WITH_EMPTY_TAB ? 1 : 2))
    { if(!is_array($TAB[$words[0]])) $TAB[$words[0]] = array();
      $_words = array();
      $FIRST = 1;  
      foreach($words as $word)
      { if($FIRST) $FIRST = 0;
        else $_words[] = $word;
      }
      $TAB[$words[0]] = affect($TAB[$words[0]], $_words, $ENDS_WITH_EMPTY_TAB);
    }
    else $TAB[$words[0]] = ($ENDS_WITH_EMPTY_TAB ? array() : $words[1]);
    return $TAB;
  }

?>