CREATE TABLE IF NOT EXISTS `[prefix]albums` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_artiste` int(11) NOT NULL,
  `titre` varchar(255) DEFAULT NULL,
  `image` varchar(255) NOT NULL,
  `description` text,
  `url` varchar(255) DEFAULT NULL,
  `format` int(11) DEFAULT NULL,
  `taille` int(11) DEFAULT NULL,
  `date_creation` date DEFAULT NULL,
  `date_publication` date DEFAULT NULL,
  `compteur` int(11) NOT NULL DEFAULT '0',
  `actif` tinyint(4) NOT NULL DEFAULT '1',
  `ordre` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]artistes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(255) DEFAULT NULL,
  `presentation` text,
  `style` varchar(255) DEFAULT NULL,
  `image` varchar(255) DEFAULT NULL,
  `pays` varchar(255) DEFAULT NULL,
  `site` varchar(255) DEFAULT NULL,
  `email_contact` varchar(255) DEFAULT NULL,
  `hide_email` tinyint(4) NOT NULL DEFAULT '1',
  `contact_form` tinyint(4) NOT NULL DEFAULT '1',
  `identifiant_paypal` varchar(255) DEFAULT NULL,
  `lien_boutique` varchar(255) DEFAULT NULL,
  `pun_forum` int(11) DEFAULT NULL,
  `pun_user` int(11) DEFAULT NULL,
  `compteur` int(11) NOT NULL DEFAULT '0',
  `lien_facebook` varchar(255) DEFAULT NULL,
  `lien_flickr` varchar(255) DEFAULT NULL,
  `lien_twitter` varchar(255) DEFAULT NULL,
  `lien_youtube` varchar(255) DEFAULT NULL,
  `dossier_personnel` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]artistes_admins` (
  `id_artiste` int(11) NOT NULL,
  `pun_user` int(11) NOT NULL,
  PRIMARY KEY (`id_artiste`,`pun_user`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
# --
CREATE TABLE IF NOT EXISTS `[prefix]boxes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(64) DEFAULT NULL,
  `emplacement` varchar(255) DEFAULT NULL,
  `titre` varchar(255) DEFAULT NULL,
  `fichier` varchar(255) DEFAULT NULL,
  `contenu` text,
  `auteur_creation` int(11) DEFAULT NULL,
  `date_creation` datetime DEFAULT NULL,
  `auteur_modification` int(11) DEFAULT NULL,
  `date_modification` datetime DEFAULT NULL,
  `date_publication` datetime DEFAULT NULL,
  `public` tinyint(4) DEFAULT NULL,
  `ordre` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=162 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(64) DEFAULT NULL,
  `titre` varchar(255) DEFAULT NULL,
  `icone` varchar(255) DEFAULT NULL,
  `description` text,
  `contenu` text,
  `ordre` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=103 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]categories_tree` (
  `parent` int(11) NOT NULL,
  `child` int(11) NOT NULL,
  PRIMARY KEY (`parent`,`child`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
# --
CREATE TABLE IF NOT EXISTS `[prefix]concerts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_artiste` int(11) DEFAULT NULL,
  `nom` varchar(255) DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `lieu` varchar(255) DEFAULT NULL,
  `paf` int(11) DEFAULT NULL,
  `description` text,
  `pun_forum` int(11) DEFAULT NULL,
  `affiche` varchar(255) DEFAULT NULL,
  `flyer` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]configuration` (
  `key` varchar(255) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
# --
CREATE TABLE IF NOT EXISTS `[prefix]contenus` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(64) DEFAULT NULL,
  `categorie` int(11) DEFAULT NULL,
  `titre` varchar(255) DEFAULT NULL,
  `description` text,
  `contenu` text,
  `auteur_creation` int(11) DEFAULT NULL,
  `date_creation` datetime DEFAULT NULL,
  `auteur_modification` int(11) DEFAULT NULL,
  `date_modification` datetime DEFAULT NULL,
  `date_publication` datetime DEFAULT NULL,
  `public` tinyint(4) DEFAULT NULL,
  `ordre` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=935 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]downloads` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_artiste` int(11) DEFAULT NULL,
  `id_album` int(11) DEFAULT NULL,
  `id_licence` int(11) DEFAULT NULL,
  `nom` varchar(255) DEFAULT NULL,
  `date_creation` date DEFAULT NULL,
  `style` varchar(255) DEFAULT NULL,
  `description` text,
  `ordre` int(11) DEFAULT NULL,
  `actif` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]download_urls` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_download` int(11) DEFAULT NULL,
  `id_format` int(11) DEFAULT NULL,
  `qualite` int(11) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `taille` int(11) DEFAULT NULL,
  `date_publication` date DEFAULT NULL,
  `compteur` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]formats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(32) DEFAULT NULL,
  `content_type` varchar(64) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]licences` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(255) NOT NULL DEFAULT '',
  `lien` varchar(255) NOT NULL DEFAULT '',
  `icone` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=17 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]playlists` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pun_user` int(11) NOT NULL,
  `titre` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `creation` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]playlist_download` (
  `id` int(11) NOT NULL,
  `id_download` int(11) NOT NULL,
  PRIMARY KEY (`id`,`id_download`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_bans` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(200) DEFAULT NULL,
  `ip` varchar(255) DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  `message` varchar(255) DEFAULT NULL,
  `expire` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_categories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cat_name` varchar(80) NOT NULL DEFAULT 'New Category',
  `disp_position` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=22 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_censoring` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `search_for` varchar(60) NOT NULL DEFAULT '',
  `replace_with` varchar(60) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_config` (
  `conf_name` varchar(255) NOT NULL DEFAULT '',
  `conf_value` text,
  PRIMARY KEY (`conf_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_forums` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `forum_name` varchar(80) NOT NULL DEFAULT 'New forum',
  `forum_desc` text,
  `redirect_url` varchar(100) DEFAULT NULL,
  `moderators` text,
  `num_topics` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `num_posts` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `last_post` int(10) unsigned DEFAULT NULL,
  `last_post_id` int(10) unsigned DEFAULT NULL,
  `last_poster` varchar(200) DEFAULT NULL,
  `sort_by` tinyint(1) NOT NULL DEFAULT '0',
  `disp_position` int(10) NOT NULL DEFAULT '0',
  `cat_id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=103 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_forum_perms` (
  `group_id` int(10) NOT NULL DEFAULT '0',
  `forum_id` int(10) NOT NULL DEFAULT '0',
  `read_forum` tinyint(1) NOT NULL DEFAULT '1',
  `post_replies` tinyint(1) NOT NULL DEFAULT '1',
  `post_topics` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`group_id`,`forum_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_groups` (
  `g_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `g_title` varchar(50) NOT NULL DEFAULT '',
  `g_user_title` varchar(50) DEFAULT NULL,
  `g_read_board` tinyint(1) NOT NULL DEFAULT '1',
  `g_post_replies` tinyint(1) NOT NULL DEFAULT '1',
  `g_post_topics` tinyint(1) NOT NULL DEFAULT '1',
  `g_post_polls` tinyint(1) NOT NULL DEFAULT '1',
  `g_edit_posts` tinyint(1) NOT NULL DEFAULT '1',
  `g_delete_posts` tinyint(1) NOT NULL DEFAULT '1',
  `g_delete_topics` tinyint(1) NOT NULL DEFAULT '1',
  `g_set_title` tinyint(1) NOT NULL DEFAULT '1',
  `g_search` tinyint(1) NOT NULL DEFAULT '1',
  `g_search_users` tinyint(1) NOT NULL DEFAULT '1',
  `g_edit_subjects_interval` smallint(6) NOT NULL DEFAULT '300',
  `g_post_flood` smallint(6) NOT NULL DEFAULT '30',
  `g_search_flood` smallint(6) NOT NULL DEFAULT '30',
  PRIMARY KEY (`g_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_online` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '1',
  `ident` varchar(200) NOT NULL DEFAULT '',
  `logged` int(10) unsigned NOT NULL DEFAULT '0',
  `idle` tinyint(1) NOT NULL DEFAULT '0',
  KEY `pun_online_user_id_idx` (`user_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_posts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `poster` varchar(200) NOT NULL DEFAULT '',
  `poster_id` int(10) unsigned NOT NULL DEFAULT '1',
  `poster_ip` varchar(15) DEFAULT NULL,
  `poster_email` varchar(50) DEFAULT NULL,
  `message` text NOT NULL,
  `hide_smilies` tinyint(1) NOT NULL DEFAULT '0',
  `posted` int(10) unsigned NOT NULL DEFAULT '0',
  `edited` int(10) unsigned DEFAULT NULL,
  `edited_by` varchar(200) DEFAULT NULL,
  `topic_id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `pun_posts_topic_id_idx` (`topic_id`),
  KEY `pun_posts_multi_idx` (`poster_id`,`topic_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=21233 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_ranks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `rank` varchar(50) NOT NULL DEFAULT '',
  `min_posts` mediumint(8) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_reports` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` int(10) unsigned NOT NULL DEFAULT '0',
  `topic_id` int(10) unsigned NOT NULL DEFAULT '0',
  `forum_id` int(10) unsigned NOT NULL DEFAULT '0',
  `reported_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created` int(10) unsigned NOT NULL DEFAULT '0',
  `message` text NOT NULL,
  `zapped` int(10) unsigned DEFAULT NULL,
  `zapped_by` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pun_reports_zapped_idx` (`zapped`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_search_cache` (
  `id` int(10) unsigned NOT NULL DEFAULT '0',
  `ident` varchar(200) NOT NULL DEFAULT '',
  `search_data` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `pun_search_cache_ident_idx` (`ident`(8))
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_search_matches` (
  `post_id` int(10) unsigned NOT NULL DEFAULT '0',
  `word_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `subject_match` tinyint(1) NOT NULL DEFAULT '0',
  KEY `pun_search_matches_word_id_idx` (`word_id`),
  KEY `pun_search_matches_post_id_idx` (`post_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_search_words` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `word` varchar(20) CHARACTER SET latin1 COLLATE latin1_bin NOT NULL DEFAULT '',
  PRIMARY KEY (`word`),
  KEY `pun_search_words_id_idx` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_smilies` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `image` varchar(60) NOT NULL DEFAULT '',
  `text` varchar(60) NOT NULL DEFAULT '',
  `disp_position` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=89 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_subscriptions` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `topic_id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`,`topic_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_topics` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `poster` varchar(200) NOT NULL DEFAULT '',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `posted` int(10) unsigned NOT NULL DEFAULT '0',
  `last_post` int(10) unsigned NOT NULL DEFAULT '0',
  `last_post_id` int(10) unsigned NOT NULL DEFAULT '0',
  `last_poster` varchar(200) DEFAULT NULL,
  `num_views` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `num_replies` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `closed` tinyint(1) NOT NULL DEFAULT '0',
  `sticky` tinyint(1) NOT NULL DEFAULT '0',
  `moved_to` int(10) unsigned DEFAULT NULL,
  `forum_id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `pun_topics_forum_id_idx` (`forum_id`),
  KEY `pun_topics_moved_to_idx` (`moved_to`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2441 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]pun_users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `group_id` int(10) unsigned NOT NULL DEFAULT '4',
  `username` varchar(200) NOT NULL DEFAULT '',
  `password` varchar(40) NOT NULL DEFAULT '',
  `email` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(50) DEFAULT NULL,
  `realname` varchar(40) DEFAULT NULL,
  `url` varchar(100) DEFAULT NULL,
  `jabber` varchar(75) DEFAULT NULL,
  `icq` varchar(12) DEFAULT NULL,
  `msn` varchar(50) DEFAULT NULL,
  `aim` varchar(30) DEFAULT NULL,
  `yahoo` varchar(30) DEFAULT NULL,
  `location` varchar(30) DEFAULT NULL,
  `use_avatar` tinyint(1) NOT NULL DEFAULT '0',
  `signature` text,
  `disp_topics` tinyint(3) unsigned DEFAULT NULL,
  `disp_posts` tinyint(3) unsigned DEFAULT NULL,
  `email_setting` tinyint(1) NOT NULL DEFAULT '1',
  `save_pass` tinyint(1) NOT NULL DEFAULT '1',
  `notify_with_post` tinyint(1) NOT NULL DEFAULT '0',
  `show_smilies` tinyint(1) NOT NULL DEFAULT '1',
  `show_img` tinyint(1) NOT NULL DEFAULT '1',
  `show_img_sig` tinyint(1) NOT NULL DEFAULT '1',
  `show_avatars` tinyint(1) NOT NULL DEFAULT '1',
  `show_sig` tinyint(1) NOT NULL DEFAULT '1',
  `timezone` float NOT NULL DEFAULT '0',
  `language` varchar(25) NOT NULL DEFAULT 'English',
  `style` varchar(25) NOT NULL DEFAULT 'Oxygen',
  `num_posts` int(10) unsigned NOT NULL DEFAULT '0',
  `last_post` int(10) unsigned DEFAULT NULL,
  `registered` int(10) unsigned NOT NULL DEFAULT '0',
  `registration_ip` varchar(15) NOT NULL DEFAULT '0.0.0.0',
  `last_visit` int(10) unsigned NOT NULL DEFAULT '0',
  `admin_note` varchar(30) DEFAULT NULL,
  `activate_string` varchar(50) DEFAULT NULL,
  `activate_key` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pun_users_registered_idx` (`registered`),
  KEY `pun_users_username_idx` (`username`(8))
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1559 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]super_admins` (
  `id_pun_user` int(11) NOT NULL,
  PRIMARY KEY (`id_pun_user`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
# --
CREATE TABLE IF NOT EXISTS `[prefix]thumbs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `src` varchar(255) NOT NULL DEFAULT '',
  `src_width` int(11) NOT NULL DEFAULT '0',
  `src_height` int(11) NOT NULL DEFAULT '0',
  `max_width` int(11) NOT NULL DEFAULT '0',
  `max_height` int(11) NOT NULL DEFAULT '0',
  `thumb_file` varchar(255) NOT NULL,
  `thumb_width` int(11) NOT NULL DEFAULT '0',
  `thumb_height` int(11) NOT NULL DEFAULT '0',
  `creation_date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
# --
CREATE TABLE IF NOT EXISTS `[prefix]videos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_artiste` int(11) DEFAULT NULL,
  `titre` varchar(255) DEFAULT NULL,
  `description` text,
  `url` varchar(255) DEFAULT NULL,
  `id_licence` int(11) DEFAULT NULL,
  `date_creation` date DEFAULT NULL,
  `date_publication` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;